@import '../../styles/theme';

.gerami-yoga {
  display: flex;
  margin: 0 auto;
}

.gerami-yoga-anti-space {
  flex: 1;
  display: inline-block;
  margin: ($space / 2) (-$space / 2);
}
.gerami-yoga-anti-space-no-first {
  margin-top: (-$space / 2);
}
.gerami-yoga-anti-space-no-last {
  margin-bottom: (-$space / 2);
}

%gerami-yoga-item {
  display: inline-block;
  padding: $space / 2;

  > * {
    display: inline-block;
    vertical-align: top;
    width: 100%;
  }
}

@for $i from 1 through 9 {
  .gerami-yoga-item-#{$i} {
    @extend %gerami-yoga-item;
    width: 100% / $i;
  }

  @if ($i > 1) {
    @for $j from $i through 1 {
      @media (max-width: $mobile * $j / 2) {
        .gerami-yoga-item-#{$i} {
          width: 100% / ($j - 1);
        }
      }
    }
  }
}
